from setuptools import find_packages, setup


PROJECT_NAME = 'stats_collector'


def main():
    setup(name=PROJECT_NAME,
          description='Fred statistics add data script',
          author='Tomas Divis, CZ.NIC',
          author_email='tomas.divis@nic.cz',
          url='http://www.nic.cz/',
          license='GNU GPL',
          platforms=['posix'],
          long_description='Fred statistics script for adding new daily data to database.',
          install_requires=open('requirements.txt').read().splitlines(),
          extras_require={'quality': ['isort', 'flake8', 'pydocstyle'],
                          'testing': ['mock']},
          packages=find_packages(),
          scripts=['collect_stats.py'])


if __name__ == '__main__':
    main()
