from __future__ import unicode_literals

import psycopg2
import psycopg2.extras

from stats_collector import config


class DBConn:
    def __init__(self, database):
        self.conn_str = "dbname='%(DATABASE_NAME)s' user='%(DATABASE_USER)s' host='%(DATABASE_HOST)s' " \
                        "port='%(DATABASE_PORT)s' password='%(DATABASE_PASSWORD)s'" % (config.DATABASES[database])
        self.conn = None
        self.cur = None

    def _connect(self):
        self.conn = psycopg2.connect(self.conn_str)
        self.cur = self.conn.cursor(cursor_factory=psycopg2.extras.DictCursor)

    def __del__(self):
        if self.conn is not None:
            self.conn.close()

    def execute(self, query, data=None):
        if self.cur is None:
            self._connect()
        if config.DEBUG:
            print(self.cur.mogrify(query, data))
        return self.cur.execute(query, data)

    def fetchquery(self, query):
        if self.cur is None:
            self._connect()
        if config.DEBUG:
            print(query)
        self.cur.execute(query)
        return self.cur.fetchall()
