from __future__ import unicode_literals

from stats_collector import LOG_DB
from stats_collector.stats import Statistics
from stats_collector.stats.stat_registry import stat_registry

from ..groups import MOJEID_DAILY_GROUP


@stat_registry.register(MOJEID_DAILY_GROUP)
class MojeidLoginProtocolCount(Statistics):
    sql = '''
       SELECT
         rt.name, COUNT(*)
       FROM
         request r
         JOIN request_type rt ON rt.id = r.request_type_id
         JOIN result_code rc ON rc.id = r.result_code_id AND rc.service_id = r.service_id
       WHERE
         %(log_req_cond_mojeid)s
         AND rt.name IN ('OpenIDRequest', 'SamlRequest', 'OpenIDConnectRequest')
         AND rc.name = 'Success'
       GROUP BY rt.name
    '''
    name = 'mojeid_login_protocol_count'
    stat_db = LOG_DB
